class vagrantlamp::apache(
  $vhosts
) {

  class{'::apache':
    default_vhost => false,
  }

  class{'::apache::mod::rewrite':}
  class{'::apache::mod::actions':}
  class{'::apache::mod::headers':}
  class{'::apache::mod::expires':}
  class{'::apache::mod::include':}
  class{'::apache::mod::ssl':}
  class{'::apache::mod::status':}
  class{'::apache::mod::proxy':}
  class{'::apache::mod::proxy_http':}
  ::apache::mod{'proxy_fcgi':}

  create_resources(vagrantlamp::apache::vhost, $vhosts)

}
