class vagrantlamp::mysql(
  $users     = {},
  $grants    = {},
  $databases = {},
) {

  class{'::mysql::server':
    users     => $users,
    grants    => $grants,
    databases => $databases,
  }

  mysql_user{'vagrant@localhost':}

  mysql_grant{'vagrant@localhost/*.*':
    options    => ['GRANT'],
    privileges => ['ALL'],
    table      => '*.*',
    user       => 'vagrant@localhost',
  }

}
