class vagrantlamp::php {

  include ::php

  class{[
    '::php::extension::curl',
    '::php::extension::mysql',
    '::php::extension::mcrypt',
    '::php::extension::xdebug',
    '::php::extension::apcu',
  ]:
    notify => Service['php5-fpm'],
  } 

  class{'::php::cli':}
  class{'::php::composer':}

  class{'::php::fpm':}

  ::php::fpm::pool{'www':}

  ::php::fpm::config{[
    'display_errors=on',
    'error_reporting=-1',
  ]:
    require => Class['::php::fpm'],
  }

}
